For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardGet started
  • Getting Started
    • Introduction
    • Quickstart
    • Errors
  • Core Concepts
    • Capabilities
    • Containers
    • Gateway
    • Wallets and top-ups
    • Grants and controls
    • Mandates
    • Approvals
    • Receipts
    • Settlements
  • Authentication
    • Authentication overview
    • Wallet sign-in (SIWE)
    • Connected apps (OAuth)
  • Guides
    • Call a capability
    • Monetize an API
    • Apply for public capability
    • Realtime notifications
  • Agents
    • MCP
    • CLI
  • Admin
    • Capability applications
  • API Reference
    • Overview
    • Authentication
  • Generated API Explorer
      • GETGet a receipt
      • POSTVerify a receipt's signature (public)
LogoLogo
DashboardGet started
Generated API ExplorerReceipts

Get a receipt

GET
/v1/receipts/:capability_request_id
GET
/v1/receipts/:capability_request_id
$curl https://api.lipafy.xyzyz/v1/receipts/capability_request_id \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "version": "lipafy.receipt.v1",
3 "capability_request_id": "string",
4 "capability_id": "string",
5 "capability_slug": "string",
6 "account_id": "string",
7 "grant_id": "string",
8 "amount": "string",
9 "currency_code": "string",
10 "upstream_status": 1,
11 "forwarded_path": "string",
12 "forwarded_method": "string",
13 "wallet_balance_after": "string",
14 "executed_at": "2024-01-15T09:30:00Z",
15 "signature": {
16 "alg": "Ed25519",
17 "key_id": "string",
18 "value": "string"
19 }
20}
Was this page helpful?
Previous

Verify a receipt’s signature (public)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

capability_request_idstringRequiredformat: "uuid"

Response

OK
versionstring
capability_request_idstringformat: "uuid"
capability_idstringformat: "uuid"
capability_slugstring
account_idstringformat: "uuid"
grant_idstringformat: "uuid"
amountstring
currency_codestring
upstream_statusinteger
forwarded_pathstring
forwarded_methodstring
wallet_balance_afterstring
executed_atdatetime
signatureobject